<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head th:replace="fragments/fragments :: head"></head>
<body>
<div th:replace="fragments/fragments :: header"></div>
<div class="container">
    <div th:replace="fragments/fragments :: div#page-header"></div>
    <div class="row">
        <div class="col-lg-12">
            <h4>Author List</h4>
            <div class="has-error" th:if="${error != null}">
                <span class="help-block" th:text="${error}"/>
            </div>
            <table class="table table-striped table-hover">
                <thead>
                <tr>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>User Name</th>
                    <th>Role</th>
                    <th class="text-right" sec:authorize="hasRole('ROLE_ADMIN')">Remove</th>
                </tr>
                </thead>
                <tbody th:each="author : ${authorList}">
                <tr>
                    <td th:text="${author.firstName}"></td>
                    <td th:text="${author.lastName}"></td>
                    <td th:text="${author.email}"></td>
                    <td th:text="${author.userName}"></td>
                    <td th:text="${author.role}"></td>
                    <td class="text-right" sec:authorize="hasRole('ROLE_ADMIN')"><a class="btn btn-danger btn-xs" th:href="${#mvc.url('AC#removeAuthor').arg(0, author.id).build()}">Remove</a></td>
                </tr>
                </tbody>
            </table>
            <a class="btn btn-primary" th:href="@{/register}">Add Author</a>
        </div>
    </div>

    <hr/>
</div>
<div th:replace="fragments/fragments :: div.scripts"></div>
</body>
</html>
